#195 closed defect (fixed)

powerpc: ABI confusion

Reported by: Ralf Corsepius Owned by: Joel Sherrill
Priority: high Milestone: 4.9
Component: bsps Version: unknown
Severity: critical Keywords:
Cc: bugs@…, strauman@… Blocked By:
Blocking:

Description

The ABI used by GCC is sysv4,
Several parts in powerpc-RTEMS however seem to assume
eabi.

Eg. From ppc.h:

/*

  • Default to the EABI used by current GNU tools */

#ifndef PPC_ABI
#define PPC_ABI PPC_ABI_EABI
#endif

This is just wrong, because gcc explictly uses -mno-eabi for RTEMS.

Release:
RTEMS-CVS

Environment:
gcc >= 3.0

Change History (3)

comment:1 Changed on May 14, 2002 at 5:49:38 PM by Joel Sherrill

Status: assignedwaiting

comment:2 Changed on Jan 10, 2008 at 7:05:53 PM by strauman

Cc: strauman added
Milestone: 4.9
rep_platform: All

comment:3 Changed on May 7, 2008 at 8:19:42 PM by Joel Sherrill

Resolution: fixed
Status: assignedclosed

With the recent overhauls of the PowerPC, this bug just can't apply anymore. If it does, provide specifics and make a new PR.

Note: See TracTickets for help on using tickets.